hydra:
  run:
    dir: ./results/${scenario}/${method}/${dataset}/reverse${reverse}_shuffle${shuffle}_${initial_increment}-${increment}/${now:%Y-%m-%d_%H-%M-%S}
  job:
    chdir: true

  job_logging:
    version: 1
    formatters:
      simple:
        format: '%(message)s'

class_order: ""
dataset_root: ""
workers: 8

workdir: ""
log_path_text: "metrics_text.json"
log_path_image: "metrics_image.json"
model_name: "ViT-B/16"
prompt_template: "a bad photo of a {}."

batch_size: 64
increment: ${initial_increment}
initial_increment: 10  
scenario: "class"
dataset: "cifar100-lt"
num_classes: 100
num_tasks: 10
reverse: false
shuffle: false

imb_factor: 0.002
imb_type: 'exp_max'

weight_decay: 0.0
l2: 0
ce_method: 0

method: "clip_tuner"
lr: 1e-3
ls: 0.0

gpu: 0
seed: 0

